unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ImgList, ComCtrls;

type
  TForm1 = class(TForm)
    ListView1: TListView;
    ImageList1: TImageList;
    ComboBox1: TComboBox;
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  I : Integer;
  ListItem : TListItem;
  NewColumn : TListColumn;
begin
  //   ListView     ImageList
  with ListView1 do
  begin
    SmallImages := ImageList1;
    LargeImages := ImageList1;
    for I :=1 to ImageList1.Count-1 do
    begin
      ListItem := Items.Add;
      ListItem.Caption := '.' + IntToStr(I);
      ListItem.ImageIndex := I;
    end;
    //      vsReport
    NewColumn := Columns.Add;
    NewColumn.Caption := ' 1';
    NewColumn := Columns.Add;
    NewColumn.Caption := ' 2';
    //  View    ComboBox
    ComboBox1.Items.AddObject('vsIcon', TObject (vsIcon));
    ComboBox1.Items.AddObject('vsList', TObject (vsList));
    ComboBox1.Items.AddObject('vsReport', TObject (vsReport));
    ComboBox1.Items.AddObject('vsSmallIcon', TObject (vsSmallIcon));
    //   ComboBox
    ComboBox1.ItemIndex := 0;
end;

end;
procedure TForm1.ComboBox1Click(Sender: TObject);
begin
  with ComboBox1 do
    ListView1.ViewStyle := TViewStyle (Items.Objects [ItemIndex]);
end;

end.
